Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot
Class PlotRenderingInfo

    java.lang.Object
      org.jfree.chart.plot.PlotRenderingInfo

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class PlotRenderingInfo
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

Stores information about the dimensions of a plot and its subplots.

See Also:
  Serialized Form

Constructor Summary
`PlotRenderingInfo(ChartRenderingInfo owner)` Default constructor.

Method Summary
`void` | `addSubplotInfo(PlotRenderingInfo info)` Adds the info for a subplot.
`java.lang.Object` | `clone()` Returns a clone of this object.
`boolean` | `equals(java.lang.Object obj)` Tests this instance for equality against an arbitrary object.
`java.awt.geom.Rectangle2D` | `getDataArea()` Returns the plot's data area (in Java2D space).
`ChartRenderingInfo` | `getOwner()` Returns the owner.
`java.awt.geom.Rectangle2D` | `getPlotArea()` Returns the plot area (in Java2D space).
`PlotRenderingInfo` | `getSubplotInfo(int index)` Returns the info for a subplot.
`void` | `setDataArea(java.awt.geom.Rectangle2D area)` Sets the data area.
`void` | `setPlotArea(java.awt.geom.Rectangle2D area)` Sets the plot area.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlotRenderingInfo

    public PlotRenderingInfo(ChartRenderingInfo owner)

  Default constructor.

Parameters:
  `owner` - the owner.

Method Detail

### getOwner

    public ChartRenderingInfo getOwner()

  Returns the owner.

  Returns:
    The owner.

### getPlotArea

    public java.awt.geom.Rectangle2D getPlotArea()

  Returns the plot area (in Java2D space).

  Returns:
    The plot area.

### setPlotArea

    public void setPlotArea(java.awt.geom.Rectangle2D area)

  Sets the plot area.

  Parameters:
    `area` - the plot area (in Java2D space)

### getDataArea

    public java.awt.geom.Rectangle2D getDataArea()

  Returns the plot's data area (in Java2D space).

  Returns:
    The data area.

### setDataArea

    public void setDataArea(java.awt.geom.Rectangle2D area)

  Sets the data area.

  Parameters:
    `area` - the data area (in Java2D space).

### addSubplotInfo

    public void addSubplotInfo(PlotRenderingInfo info)

  Adds the info for a subplot.

  Parameters:
    `info` - the subplot info.

### getSubplotInfo

    public PlotRenderingInfo getSubplotInfo(int index)

  Returns the info for a subplot.

  Parameters:
    `index` - the subplot index.
  Returns:
    The info.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this instance for equality against an arbitrary object.

  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of this object.

  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if there is a problem cloning.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD